Name:           nautilus-search-tool
Version:        0.2.2
Release:        9%{?dist}
Summary:        A Nautilus extension that makes searching for files easier

Group:          System Environment/Shells
License:        GPLv2+
URL:            http://saettaz.altervista.org/software/nautilus_search_tool.html
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Patch0:		nautilus-search-tool-0.2-headers.patch
Patch1:		nautilus-search-tool-0.2-extdir.patch 
Patch2:		nautilus-search-tool-no-eels.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-desktop-devel >= 2.10.0 eel2-devel >= 2.10.0
BuildRequires:	libtool gettext intltool
BuildRequires:	nautilus-devel


%description
This package adds an option to the context menu of folders in Nautilus to
search for files.

%prep
%setup -q
%patch0 -p1 -b .headers
%patch1 -p1 -b .extdir
%patch2 -p1 -b .no-eels

autoconf

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc AUTHORS COPYING
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-2.0/*.so

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Matthias Clasen  <mclasen@redhat.com> - 0.2.2-8
- Try harder not to link against eel

* Tue Dec 16 2008 Matthias Clasen  <mclasen@redhat.com> - 0.2.2-7
- Rebuild to drop eel dependency

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.2-6
- rebuild for dependancies

* Sat Nov 22 2008 Paul W. Frields <stickster@gmail.com> - 0.2.2-5
- Fix summary

* Thu Jun 06 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.2-4
- rebuild for dependancies

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.2-3
- Autorebuild for GCC 4.3

* Thu Dec 27 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-2
- Put extension in the proper directory (#426831)

* Fri Aug 17 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-1
- Update License tag
- Updated to 0.2.2

* Wed Aug 30 2006 Paul W. Frields <stickster@gmail.com> - 0.2-2
- Fix BuildRequires (#200420)

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-2
- Rebuild for Fedora Extras 5

* Tue Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-1
- Initial RPM release
